# Interface LayerExtensionFactory

Creates new instances of mapping/_LayerExtension!LayerExtension.

interface LayerExtensionFactory {
create(properties: LayerExtensionProperties): LayerExtension<LayerExtensionProperties>;
}

#### Implemented by

- DefaultLayerExtensionFactory

#####
Index

### Methods

create

##
Methods

### create

- create(properties): LayerExtension<LayerExtensionProperties>

- Creates a mapping/_LayerExtension!LayerExtension from the given properties.

  #### Parameters

  - properties: LayerExtensionProperties

    The LayerExtension properties.

  #### Returns LayerExtension<LayerExtensionProperties>